Bug 1386278 - [RFE] Job invocations should timeout
Summary: [RFE] Job invocations should timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.1.9
Hardware: x86_64
OS: All
high
high
Target Milestone: Unspecified
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1479962
TreeView+ depends on / blocked
 
Reported: 2016-10-18 14:25 UTC by Daniel Lobato Garcia
Modified: 2019-12-16 07:09 UTC (History)
12 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:36:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (55.81 KB, image/png)
2017-10-05 13:35 UTC, Peter Ondrejka
no flags Details
screenshot-execution (53.43 KB, image/png)
2017-10-05 13:36 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20016 0 High Closed Job invocations should timeout 2021-02-19 14:52:32 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Daniel Lobato Garcia 2016-10-18 14:25:23 UTC
Description of problem:

Certain job invocations could take too long and we want these to time out. 

It would be nice if we could provide a default time out in the job template, and offer an option to override that timeout in the job invocation. 

The timeout timer will start as soon as the job invocation starts, no need to actually measure the execution time on the client.

Comment 3 Ivan Necas 2017-04-18 15:15:38 UTC
What is the expected behaviour when the timeout happens? Killing the job?

Comment 4 Pradeep Kumar Surisetty 2017-04-18 15:26:24 UTC
(In reply to Ivan Necas from comment #3)
> What is the expected behaviour when the timeout happens? Killing the job?

yes
And also give reason why timed out (if possible)

Comment 5 Daniel Lobato Garcia 2017-05-26 14:56:14 UTC
Clearing needinfo as Pradeep replied

Comment 6 Adam Ruzicka 2017-06-14 10:50:55 UTC
Created redmine issue http://projects.theforeman.org/issues/20016 from this bug

Comment 7 pm-sat@redhat.com 2017-06-14 12:13:46 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 8 pm-sat@redhat.com 2017-06-14 12:13:51 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 10 pm-sat@redhat.com 2017-07-11 14:12:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20016 has been resolved.

Comment 11 pm-sat@redhat.com 2017-07-26 14:12:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20016 has been resolved.

Comment 14 Peter Ondrejka 2017-10-05 13:35:11 UTC
Verified on satellite-6.3.0-19.0.beta.el7sat.noarch, timeout option has been added and is applied correctly on remote hosts, see attached screenshots.

Comment 15 Peter Ondrejka 2017-10-05 13:35:52 UTC
Created attachment 1334828 [details]
screenshot

Comment 16 Peter Ondrejka 2017-10-05 13:36:57 UTC
Created attachment 1334840 [details]
screenshot-execution

Comment 19 errata-xmlrpc 2018-02-21 12:36:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.